"Buffer I/O error on device zram0, logical block 515067"

Bug #1246664 reported by Damian Sawicki on 2013-10-31
88
This bug affects 24 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Saucy
Medium
Unassigned

Bug Description

SRU Justification:

Commit 12a7ad3 "zram: avoid access beyond the zram device" introduced a regression where valid_io_request() checks if request end coincides with disksize (end equals bound). It fails if we attempt to read beyond the bound.

Impact:

Several errors will be logged if, for example, zram-config is installed:

[ 14.666280] zram: module is from the staging directory, the quality is unknown, you have been warned.
[ 14.667040] zram: Creating 1 devices ...
[ 14.830355] Buffer I/O error on device zram0, logical block 62411
[ 14.830375] Buffer I/O error on device zram0, logical block 62411
[ 14.830598] Buffer I/O error on device zram0, logical block 62411
[ 14.830621] Buffer I/O error on device zram0, logical block 62411
[ 14.878597] Adding 249644k swap on /dev/zram0. Priority:5 extents:1 across:249644k SS

Fix:

Commit 75c7caf5a052ffd8db3312fa7864ee2d142890c4 "zram: allow request end to coincide with disksize" fixes the issue by correcting the test in valid_io_request() function.

Testcase:

I was able to reproduce the issue by simply installing zram-config in a precise box.

=========================================================================================

This is a duplicate of #1217189, but for some reason neither @oibaf nor me can reopen it. It is in "fix released" state, but the problem is at most partially solved. It seems that the bug no longer causes lockups (described in another bug: #1215513), but is still present (as I get error messages on boot screen and after $ dmesg | grep zram).

If someone has enough privileges to reopen 1217189 for "linux (ubuntu)" (I don't know about raring, but no one complains, so it is probably ok), and remove this bug (maybe merging this message to the comments in 1217189), I would be really grateful.

Ubuntu 12.04.3 LTS
Kernel Linux 3.2.0-56-generic-pae (the problem was first observed in 53 and since 54 there are no lockups).
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 2.0.1-0ubuntu17.6
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: damian 2771 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf8300000 irq 47'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,10280275,00100003'
   Controls : 16
   Simple ctrls : 9
DistroRelease: Ubuntu 12.04
MachineType: Dell Inc. Vostro1710
MarkForUpload: True
NonfreeKernelModules: nvidia wl
Package: linux (not installed)
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-56-generic-pae root=UUID=bfe81069-1c35-4ccc-a23a-33528ac81877 ro selinux=1 security=selinux quiet splash
ProcVersionSignature: Ubuntu 3.2.0-56.86-generic-pae 3.2.51
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-56-generic-pae N/A
 linux-backports-modules-3.2.0-56-generic-pae N/A
 linux-firmware 1.79.7
StagingDrivers: zram
Tags: precise running-unity staging
Uname: Linux 3.2.0-56-generic-pae i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin netdev plugdev sambashare sudo
dmi.bios.date: 09/09/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A09
dmi.board.name: 0X805C
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnDellInc.:bvrA09:bd09/09/2008:svnDellInc.:pnVostro1710:pvrNull:rvnDellInc.:rn0X805C:rvr:cvnDellInc.:ct8:cvrN/A:
dmi.product.name: Vostro1710
dmi.product.version: Null
dmi.sys.vendor: Dell Inc.

description: updated
affects: linux-lts-raring (Ubuntu) → ubuntu
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1246664

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: precise

apport information

tags: added: apport-collected running-unity staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Luis Henriques (henrix) wrote :

Thank of reporting this -- it looks like the fix for the Precise kernels is actually missing.

I've uploaded a test kernel containing the fix (I've uploaded only a -pae kernel since this seems to be what Damien is using, but I can upload others if required). Basically this is a 3.2.0-56.86 kernel with a backport of commit:

  75c7caf zram: allow request end to coincide with disksize

Here's the link: http://people.canonical.com/~henrix/lp1246664/

Please let me know if this fixes the problem for you.

Changed in linux (Ubuntu):
importance: Undecided → Medium

Could you explain, how to install it? When I click on any of those packages, I end up in Ubuntu Software Center with an error message and no "install" button. Are you sure they are fine?

Oibaf (oibaf) wrote :

I was finally able to reproduce this bug myself on 3.2.0-55-powerpc-smp , so I confirmed it. Note that the messages only happened for the first time on the latest 10 boot or so (I did a "dmesg | grep zram" after every boot).

@Damian: download the 3 files in a directory and do a
sudo dpkg -i linux-*-3.2.0-56*deb
and reboot.

(Note that packages are x86 32 bit only, I have a ppc so I cannot test myself.)

@henrix It works! Thank you very much. The error message used to appear on every boot and now I rebooted 3x and it's ok (I checked dmesg each time).

@oibaf Thanks for explanation, the installation was smooth and so far everything is fine. Here it is different than in your case, because the messages seemed to happen on every boot.

P.S. I won't be using this computer from Monday (for some time), so if you would like me to test sth, please write today (2013-11-03).

kalehrl (kalehrl) wrote :

I dist-upgraded mu ubuntu 12.04 LTS this morning and after reboot I got:
[ 14.666280] zram: module is from the staging directory, the quality is unknown, you have been warned.
[ 14.667040] zram: Creating 1 devices ...
[ 14.830355] Buffer I/O error on device zram0, logical block 62411
[ 14.830375] Buffer I/O error on device zram0, logical block 62411
[ 14.830598] Buffer I/O error on device zram0, logical block 62411
[ 14.830621] Buffer I/O error on device zram0, logical block 62411
[ 14.878597] Adding 249644k swap on /dev/zram0. Priority:5 extents:1 across:249644k SS
I will see if this is just cosmetics or if it will cause problems.

Luis Henriques (henrix) wrote :

Damian, thank you for testing. I'll make sure this fix will make its way into the Ubuntu Precise kernel.

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Oibaf (oibaf) wrote :

@Luis: where can I get the patch for this? I would like to suggest this for upstream 3.2: https://lkml.org/lkml/2013/10/20/68

Mélodie (meets) wrote :

Hi,
I had not found this bug n° #1246664 when seeking for bugs related to zram, and I posted my own, however Oibaf found it and told me:
https://bugs.launchpad.net/ubuntu/+source/zram-config/+bug/1247496

linux kernel 3.2.0-55 generic is the one used. I would be very glad to get a 3.2.0-55 generic patched.

I would like to know what is the fix that you use?

Oibaf also told me "About the "stop" you should open a new bug." : do you confirm the "Stop" line should not be missing in the /etc/init/zram-config.conf file, if so that it is not what triggers problems, and therefore that I should open a new bug for it?

Regards,
Mélodie

Luis Henriques (henrix) wrote :

Oibaf, as I referred in comment #22, the fix is upstream git commit:

  75c7caf zram: allow request end to coincide with disksize

I've sent already a request for Ben to include it in its stable 3.2 kernel (http://thread.gmane.org/gmane.linux.kernel.stable/68703)

Melodie: The fix will be included in the 3.2 -generic kernel once its accepted and goes throught the SRU process. I've sent the request to the kernel team mailing list (https://lists.ubuntu.com/archives/kernel-team/2013-November/034151.html). I will build and post here a link to amd64 and i386 kernels containing this fix so that people can test/use it while the kernel isn't released.

Mélodie (meets) wrote :

I will be looking forward to it. Thanks a lot!

Luis Henriques (henrix) wrote :

I've uploaded the test kernels for i386, amd64 and PAE here:

http://people.canonical.com/~henrix/lp1246664/

There's a directory for each arch. Also, the top-level directory contains the patch that has been applied on top of the 3.2.0-56.86 kernel.

Andy Whitcroft (apw) wrote :

Applied the fix as per kernel-team@ version. Based on the upstream commit ID this is fixed in saucy and later, marked so.

Changed in linux (Ubuntu):
status: Triaged → Fix Committed
status: Fix Committed → Triaged
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
status: New → Fix Committed
Changed in linux (Ubuntu Saucy):
status: New → Fix Released
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: Triaged → Fix Released
Luis Henriques (henrix) on 2013-11-04
description: updated

@henrix You wrote about installing "zram-config" in the description. Is it normal, that I didn't have the package installed, but the error still occurred and zram0 was visible after 'swapon -s'?

Mélodie (meets) wrote :

> Is it normal, that I didn't have the package installed, but the error still occurred and zram0 was visible after 'swapon -s'?

Hi, If you had it installed before then removed it happens, and is also filed in a bug report:
zram-config runs even after uninstalled, needs purge - https://bugs.launchpad.net/ubuntu/+source/zram-config/+bug/1036339

If you didn't have zram-config installed before, or another script meant to load and configure it's behavior… the zram module should not be loaded, nor the zram devices created.

@meets I talked about it in the previous thread (#1217189) and was told by @danmbox to run dpkg --purge (but anyway I think that zram-config wasn't installed before - however I'm not 100% sure), but it didn't help...

Mélodie (meets) wrote :

To damian-sawiicki: Do you see a zram-config.conf file under /etc/init ? Another stupid question: did you precisely invoke "dpkg --purge zram-config" ?

(When I realized I still had zram-config at work after uninstalling it, I didn't think about "dpkg --purge" and just removed whatever "zram" files I found in the system, especially /dev/zram0 and /dev/zram1 as the machine has two cores, and eventually zram-config.conf if it was still there, but I am not even sure it was still there).

To Luis Henriques: I installed the generic i386 kernel and headers in a P4, and it has also been installed to a T60 where it was running with many programs at same time and zram-config installed and at work. All this lasted about 45 minutes and the session didn't fail, although some swapping was occurring. No buffer I/O occurred.

Now I am being testing in the P4, zram-config reinstalled, your kernel i386 generic installed, since about 15 minutes. Are running: Libreoffice writer, Firefox, Software Center, PPA Software Center…

$ uname -a
Linux peluche 3.2.0-56-generic #86~lp1246664 SMP Mon Nov 4 11:21:05 UTC 2013 i686 i686 i386 GNU/Linux
$

$ cat /proc/swaps
Filename Type Size Used Priority
/dev/zram0 partition 772040 0 5
/dev/zram1 partition 772040 0 5
/dev/sdb5 partition 3174396 0 -1
$

Before meeting with the buffer I/O error I used to change the default values for the size of the swap devices (lower the size to 1/4) and setup the swappiness to 0, but for the test I do leave the default values unchanged.

I will come back later to add information according to the results I will get. Now I will start an additional heavy load by starting Ubuntu Builder and build a custom ISO with your newer kernel and reinstall zram-config to it. (At least to test the behavior while 'heavy duty' is being done).

Mélodie (meets) wrote :

Hi,

Why installing zram-config in the Ubuntu Builder Synaptic module there has been this message:
****
E: zram-config: subprocess installed post-installation script returned error exit status 1
****

In the current system itself all is working fine so far (more than one hour running). No zram Buffer I/O error to be reported by dmesg either:
$ dmesg | grep zram
[ 25.841182] zram: module is from the staging directory, the quality is unknown, you have been warned.
[ 25.841620] zram: Creating 2 devices ...
[ 26.494074] Adding 772040k swap on /dev/zram0. Priority:5 extents:1 across:772040k SS
[ 26.500818] Adding 772040k swap on /dev/zram1. Priority:5 extents:1 across:772040k SS
$

Mélodie (meets) wrote :

Ok, after more than one hour and a half, with lots of heavy programs started at same time no issue, no freeze on the P4.

On the T60 with the 3.2.0-55 generic and zram-config in use the session was exiting really fast and sending the user back to the login screen.

With the 3.2.0-56 generic no such issue happened, and no I/O buffer error in either of the two machines. Thanks a lot to the people who fixed it! I'll be looking forward to get it from the repositories.

(I don't have systems installed for other architectures to test on).

Regards,
Mélodie

Oibaf (oibaf) wrote :

@Melodie: about:
****
E: zram-config: subprocess installed post-installation script returned error exit status 1
****
see bug 996535.

Mélodie (meets) wrote :

Hi Oibaf,
I my case it is mostly unrelated and really nothing very important. It happened in a Synaptic started inside the chroot of Ubuntu-Builder, so the post-install script was a bit confused I guess, because there were already /dev/zram* created and in use.

Regards,
Mélodie

Mélodie (meets) wrote :

Hi,

Luis Henriques, I have updated to the new kernel 3.2.0-56 generic from the repositories and the problem is back. I have reverted to your test kernels, these packages: http://people.canonical.com/~henrix/lp1246664/i386/

and from there the problem is solved. While doing so, the console stated in the output "downgrading".

When will your patch be integrated to the current kernel for Precise?

Regards,
Mélodie

Luis Henriques (henrix) wrote :

Mélodie: the 3.2.0-56.86 kernel does not yet contain the fix. This fix has already been included in the git source tree, and will need to go through the SRU process before being released. This bug will be updated once this happens. Thank you.

Mélodie (meets) wrote :

henrix: Thank you very much. I hope it will not be too long before it will be gone through the SRU process and delivered.

Regards,
Mélodie

JmAbuDabi (dambldor91) wrote :

[ 2.440692] zram: module is from the staging directory, the quality is unknown, you have been warned.
[ 2.441048] zram: num_devices not specified. Using default: 1
[ 2.441050] zram: Creating 1 devices ...
[ 2.495601] Adding 3056956k swap on /dev/zram0. Priority:100 extents:1 across:3056956k SS
[ 19.903691] Buffer I/O error on device zram0, logical block 764239

Linux jmabudabi-pc 3.2.0-55-generic #85-Ubuntu SMP Wed Oct 2 12:29:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Mélodie (meets) wrote :

Hi dambldor91,

I don't understand why you post about the former 3.2.0-55-generic kernel where the bug didn't exist? What do you intend to say?

@meets Why do you claim that it 3.2.0-55 is bug free? I first noticed the bug in version 53 (generic-pae) and then in 54. Was it fixed in 55 and recreated in 56? @oibaf reported the bug in 3.2.0-55-powerpc-smp.

P.S. I will address your questions from the previous post as far as I reach the buggy computer.

@dambldor91 Try not to cross post here and in #1217189. That thread is considered a duplicate and we have a message at the bottom (if you somehow missed it):

"Remember, this bug report is a duplicate of bug #1246664.
Comment here only if you think the duplicate status is wrong."

Mélodie (meets) wrote :

Hi Damian,

I just reinstalled the 3.2.0-55 generic to check, and yes here it does not trigger errors. Only the next one does.

[melodie@peluche:~]$ uname -a
Linux peluche 3.2.0-55-generic #85-Ubuntu SMP Wed Oct 2 13:43:27 UTC 2013 i686 i686 i386 GNU/Linux

dmesg done just after reboot:
[melodie@peluche:~]$ dmesg | grep zram
[ 32.717593] zram: module is from the staging directory, the quality is unknown, you have been warned.
[ 32.719059] zram: Creating 2 devices ...
[ 32.811519] init: zram-config pre-start process (1033) terminated with status 1
[melodie@peluche:~]$

And zram is up and running, whereas with the next version it is started during the boot, but then stopped I don't know when. What is sure is that after the lines of "Buffer I/O error" zram is not loaded nor used in the session.

Regards,
Mélodie

Mélodie (meets) wrote :

Well no, mistake : it is not running although there is no I/O error during boot. My bad.

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Steve Dodd (anarchetic) wrote :

The version currently in proposed (3.2.0-57.87) seems to fix the issue here. If someone else seconds that, let's mark this as verified.

Mélodie (meets) wrote :

Hello,

I am preparing the machine for tests as per your pointer to https://wiki.ubuntu.com/Testing/EnableProposed

The new kernel 3.2.0-57 generic (and headers) is installed and running in P4 Dell, almost ready to run on another machines, checkbox-gtk installed: the package lacks a dependency to python-dateutil which I had to install additionally as I don't run an Ubuntu Unity version. (This might need a new bug report).

 I will now start the checkbox-gtk procedure and then start testing how zram-config behaves with the new version kernel. Later I will also try to switch to the 3.2.0-57 pae version and will come back to say how it goes.

Regards,
Mélodie

Mélodie (meets) wrote :

Hardware 1:
P4 Dell tower. Here is enclosed the hardware submission (not yet appeared on Launchpad but I add it as an attachment).

Mélodie (meets) wrote :

Hi,
Here are two bug reports generated while testing hard on the P4 (trying to get the RAM full, I'll have to retry with a limit on the kernel boot line because the zram swap could never be used, instead it was the CPU which was fully used):
https://bugs.launchpad.net/ubuntu/+source/lxsession-edit/+bug/1252531
https://bugs.launchpad.net/ubuntu/+source/openbox/+bug/1252533

Next I will do that, and also test in a T60 thinkpad.

Mélodie (meets) wrote :

Hi,

On the T60 with 2 GB RAM it has ran during one hour, installing one by one several little games using the Software Center, and having firefox and htop running as well as pcmanfm. No problem met so far.

The now I am running the same machine and Ubuntu version with 512 MB ram and it swaps a little, while Software Center installs one more game, Firefox running, gThumbs opened, a console, a mousepad editor, and a "system benchmark and profiler" launched but not active.

It all works fine, with zram enabled and the generic version of the kernel.

$ uname -rv
3.2.0-57-generic #87-Ubuntu SMP Tue Nov 12 21:38:12 UTC 2013
$

$ $ swapon -s
Filename Type Size Used Priority
/dev/sda5 partition 1023996 0 -1
/dev/zram0 partition 253912 65152 5
$

$ free -m
             total used free shared buffers cached
Mem: 495 479 16 0 9 97
-/+ buffers/cache: 373 122
Swap: 1247 63 1184
$

I enclose the file produced for this machine by checkbox-gtk and an additional file done with a "ps -ax" command can be viewed here: http://pastebin.fr/31732

I would be worth trying on the same machine with a pae version perhaps? I will install it and say tomorrow or the day after if no issue occurred with the 3.2.0-57-pae.

I don't have a machine to test others, but I will try to find someone who could have the relevant hardware.

Regards,
Mélodie

sudodus (nio-wiklund) wrote :

I tested Mélodie's system in a Toshiba with an Intel i5 processor according to the attached file "submission.xml".
zram was active (without any tweaks by me).
--
>> Yes What do you expect Xnoise to do? I'm familiar with Audacity.
>
> It seems not to be able to read ogg files I don't know why and it sometimes crashes on
> certain videos, but not all.

I did not install any multimedia package (only used what comes with Bento).

Long ago I made some ogg files from an audio CD, and I can play them
with Xnoise in Bento. Maybe your ogg files were not quite according to
the specification.

Xnoise works also with video clips with two containers and three codecs
that I tested. (Obviously I cannot test every container and codec.)

mp4, and wmv containers
ffodivx, ffh264 and ffwmv3 codecs

> You could start from the console "checkbox-gtk", you can avoid testing
> anything and just keep the basic "all kinds of tests" stuff, then get the file produces
> and save it for the bug report page.

I could run the suggested tasks in checkbox-gtk (and could answer 'yes',
things work

And in general, so far it works with both

Linux bentotest 3.8.0-33-generic and
Linux bentotest 3.2.0-57-generic-pae
--
Regards
Nio

Brad Figg (brad-figg) on 2013-11-21
tags: added: verification-done-precise
removed: verification-needed-precise
Mélodie (meets) wrote :

Hello to all,

Thanks a lot! I am looking forward to seeing it in the repositories!

Best regards,
Mélodie

Launchpad Janitor (janitor) wrote :
Download full text (12.2 KiB)

This bug was fixed in the package linux - 3.2.0-57.87

---------------
linux (3.2.0-57.87) precise; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1250622

  [ Andy Whitcroft ]

  * tools -- upgrade to common generic helper
    - LP: #1205284

  [ Kees Cook ]

  * SAUCE: backport ARM seccomp-bpf support
    - LP: #1183616

  [ Luis Henriques ]

  * SAUCE: ACPI battery: fix compiler warning
    - LP: #1247154

  [ Tim Gardner ]

  * [Config] updateconfigs: CONFIG_HAVE_AOUT=n for arm

  [ Upstream Kernel Changes ]

  * Revert "sctp: fix call to SCTP_CMD_PROCESS_SACK in
    sctp_cmd_interpreter()"
    - LP: #1249089
  * xen/blkback: Check device permissions before allowing OP_DISCARD
    - LP: #1091187
    - CVE-2013-2140
  * zram: allow request end to coincide with disksize
    - LP: #1246664
  * ARM: 7373/1: add support for the generic syscall.h interface
    - LP: #1183616
  * ARM: 7577/1: arch/add syscall_get_arch
    - LP: #1183616
  * htb: fix sign extension bug
    - LP: #1249089
  * net: check net.core.somaxconn sysctl values
    - LP: #1249089
  * fib_trie: remove potential out of bound access
    - LP: #1249089
  * tcp: cubic: fix overflow error in bictcp_update()
    - LP: #1249089
  * tcp: cubic: fix bug in bictcp_acked()
    - LP: #1249089
  * ipv6: don't stop backtracking in fib6_lookup_1 if subtree does not
    match
    - LP: #1249089
  * 8139cp: Add dma_mapping_error checking
    - LP: #1249089
  * tun: signedness bug in tun_get_user()
    - LP: #1249089
  * ipv6: remove max_addresses check from ipv6_create_tempaddr
    - LP: #1249089
  * ipv6: drop packets with multiple fragmentation headers
    - LP: #1249089
  * ipv6: Don't depend on per socket memory for neighbour discovery
    messages
    - LP: #1249089
  * net: bridge: convert MLDv2 Query MRC into msecs_to_jiffies for
    max_delay
    - LP: #1249089
  * ICMPv6: treat dest unreachable codes 5 and 6 as EACCES, not EPROTO
    - LP: #1249089
  * tipc: fix lockdep warning during bearer initialization
    - LP: #1249089
  * HID: hidraw: put old deallocation mechanism in place
    - LP: #1249089
  * HID: hidraw: correctly deallocate memory on device disconnect
    - LP: #1249089
  * xen-gnt: prevent adding duplicate gnt callbacks
    - LP: #1249089
  * ath9k: always clear ps filter bit on new assoc
    - LP: #1249089
  * libceph: unregister request in __map_request failed and nofail == false
    - LP: #1249089
  * usb: config->desc.bLength may not exceed amount of data returned by the
    device
    - LP: #1249089
  * USB: cdc-wdm: fix race between interrupt handler and tasklet
    - LP: #1249089
  * powerpc: Handle unaligned ldbrx/stdbrx
    - LP: #1249089
  * intel-iommu: Fix leaks in pagetable freeing
    - LP: #1249089
  * ath9k: fix rx descriptor related race condition
    - LP: #1249089
  * ath9k: avoid accessing MRC registers on single-chain devices
    - LP: #1249089
  * ASoC: wm8960: Fix PLL register writes
    - LP: #1249089
  * rculist: list_first_or_null_rcu() should use list_entry_rcu()
    - LP: #1249089
  * USB: mos7720: use GFP_ATOMIC under spinlock
    - LP: #1249089
  * USB: mos7720: fix big-endian control requests
    - LP: #1249089
  * s...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released

I confirm that the new kernel 3.2.0-58-generic-pae works like a charm. Thank you very much.

@meets (regarding comment #37): I still can't remove zram and don't know what activates it. There is no zram in /etc/init.

$ dmesg | grep zram
[ 1.338734] zram: module is from the staging directory, the quality is unknown, you have been warned.
[ 1.338980] zram: num_devices not specified. Using default: 1
[ 1.338982] zram: Creating 1 devices ...
[ 1.453864] Adding 2060268k swap on /dev/zram0. Priority:100 extents:1 across:2060268k SS

$ sudo swapon -s
Filename Type Size Used Priority
/dev/zram0 partition 2060268 0 100
/dev/sda7 partition 4000148 0 -1

$ sudo dpkg --purge zram-config
dpkg: warning: there's no installed package matching zram-config

Mélodie (meets) wrote :

Hi Damian, what does return "sudo updatedb ; locate zram" in the console?

@meets

Mélodie (meets) wrote :

Hi Damian,

According to you output zram does not appear to be loaded, if it was we would see a zram device, ie: /dev/zram0, /dev/zram1 (if your machine has two processors, dual core, core duo, or hyperthreading).

You can remove the 3 following files:
/var/crash/zram-config.0.crash
/var/crash/zram-config.0.upload
/var/crash/zram-config.0.uploaded

and you can uninstall all the previous kernels and headers which have been installed in your system before the 3.2.0-58. If you fear something works less well, you could keep the two last sets, linux-image and linux-headers, ie 3.2.0-58 and 3.2.0-56. You can use Synaptic to do that (filter with "search > name > linux" then, "search > name > headers", then click on the top of the first row to gather the said names which a related to installed packages).

You will gain more or less 120 MB for each old kernel + headers removed.

Mélodie (meets) wrote :

PS: I think the --purge you performed previously might have removed the faulty zram config file still in the system at that moment and solved the issue in spite of the "not installed package" warning.

To post a comment you must log in.